<template>

    <section class="vh-100 bg-image"
        style="background-image: url('https://cdn.pixabay.com/photo/2014/04/05/11/40/knife-316655_960_720.jpg');">
        <div class="mask d-flex align-items-center h-100 gradient-custom-3">
            <div class="container h-100">
                <div class="row d-flex justify-content-center align-items-center h-100">
                    <div class="col-12 col-md-9 col-lg-7 col-xl-6">
                        <div class="card" style="border-radius: 15px;">
                            <div class="card-body p-5">
                                <h2 class="text-uppercase text-center mb-5">Create an account</h2>

                                <form @submit.prevent="handleSignup()">

                                    <div data-mdb-input-init class="form-outline mb-4">
                                        <input type="text" class="form-control form-control-lg" />
                                        <label class="form-label">Your Name</label>
                                    </div>

                                    <div data-mdb-input-init class="form-outline mb-4">
                                        <input type="email" class="form-control form-control-lg" v-model="email" />
                                        <label class="form-label">Your Email</label>
                                    </div>

                                    <div data-mdb-input-init class="form-outline mb-4">
                                        <input type="password" class="form-control form-control-lg"
                                            v-model="password" />
                                        <label class="form-label">Password</label>
                                    </div>


                                    <div class="form-check d-flex justify-content-center mb-5">
                                        <input class="form-check-input me-2" type="checkbox" value="" />
                                        <label class="form-check-label">
                                            I agree with all statements in <a href="#!" class="text-body"><u>Terms of
                                                    service</u></a>
                                        </label>
                                    </div>

                                    <div class="d-flex justify-content-center">
                                        <button type="submit" data-mdb-button-init data-mdb-ripple-init
                                            class="btn nice-button">Register</button>
                                    </div>

                                    <p class="text-center text-muted mt-5 mb-0">Already have an account? <router-link
                                            to="/login">Log in here</router-link></p>

                                </form>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- <form @submit.prevent="handleSignup()">
        <label>Email :
            <input type="email" v-model="email">
        </label>

        <label>Password :
            <input type="password" v-model="password">
        </label>
        <button>Sign Up</button>
    </form> -->
</template>

<script setup lang="ts">
import { useAuth } from '@/stores/auth';
import { ref } from 'vue';
import { useRouter } from 'vue-router';

const router = useRouter();
const auth = useAuth();
const email = ref('');
const password = ref('');

async function handleSignup() {
    const newUser = {
        email: email.value,
        password: password.value,
    };

    try {
        await auth.signup(newUser);
        router.back();  // ou router.push({ name: 'HomePage' }) pour diriger vers une autre page
    } catch (error) {
        console.error('Signup error:', error);
    }
}

</script>